> For the complete documentation index, see [llms.txt](https://developers.welcomekit.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.welcomekit.co/jobs-api/offices/retrieve-an-office.md).

# Retrieve an office

This endpoint allows you to get info about given office.

{% hint style="info" %}
&#x20;This endpoint requires `offices_r` or `offices_rw` scope.
{% endhint %}

## office

<mark style="color:blue;">`GET`</mark> `https://www.welcomekit.co/api/v1/external/offices/:id`

#### Path Parameters

| Name                                 | Type   | Description |
| ------------------------------------ | ------ | ----------- |
| id<mark style="color:red;">\*</mark> | string | Office ID   |

{% tabs %}
{% tab title="200 Success" %}

```
{
  "id": 42,
  "name": "Paris",
  "address": "11 bis rue Bachaumont",
  "zip_code": "75002",
  "city": "Paris",
  "country_code": "FR",
  "is_headquarter": true
}
```

{% endtab %}
{% endtabs %}

Request example

```
curl -X GET -G "https://www.welcomekit.co/api/v1/external/offices/:id" \
    -H "Content-Type: application/json" \
    -H "Authorization: Bearer WK_API_KEY"
```
